Cart
POST
/v2/Payment/CartCart sends cart/order data to the terminal for display during the payment flow. All the responses have GeneralResponse section that informs about successful result or error. See Error Codes and Messages.
Body Parameters
Cart
Name*
stringValue*
numberName*
stringValue*
numberName*
stringPrice*
numberUnitPrice
numberQuantity*
numberAdditionalInfo
stringName
stringValue
numberName
stringName
stringPrice
numberQuantity
numberTpn
stringRegisterId
stringAuthkey
stringCustomFields
CustomFields
objectPOST/v2/Payment/Cart
1curl --location 'https://test.spinpos.net/v2/Payment/Cart' \
2--header 'Content-Type: application/json' \
3--data '{
4 "CustomFields": {},
5 "Cart": {
6 "Amounts": [
7 {
8 "Name": "",
9 "Value": ""
10 }
11 ],
12 "CashPrices": [
13 {
14 "Name": "",
15 "Value": ""
16 }
17 ],
18 "Items": [
19 {
20 "Name": "",
21 "Price": "",
22 "UnitPrice": "",
23 "Quantity": "",
24 "AdditionalInfo": "",
25 "CustomInfos": [
26 {
27 "Name": "",
28 "Value": ""
29 }
30 ],
31 "Modifiers": [
32 {
33 "Name": "",
34 "Options": [
35 {
36 "Name": "",
37 "Price": "",
38 "Quantity": ""
39 }
40 ]
41 }
42 ]
43 }
44 ]
45 },
46 "Tpn": "",
47 "RegisterId": "",
48 "Authkey": ""
49}'
Response
// Awaiting response…
Sample response
{
"GeneralResponse": {
"HostResponseCode": "00",
"HostResponseMessage": "Approved",
"ResultCode": "Ok",
"StatusCode": "0000",
"Message": "Approved",
"DetailedMessage": "APPROVAL VTLMC1",
"DelayBeforeNextRequest": null
}
}